SITETB - Bug #256

Medicamentos prestes a acabar sem alerta
12/13/2012 11:40 AM - Ricardo Memoria

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Mauricio Dos Santos % Done:
Category: Estimated t
Target version: Préxima versédo Spent time:
Componente:

ime:

12/13/2012

0%
0.00 hour
0.00 hour

Description

Nao entendi porque em alguns medicamentos n&o aparece o alerta em vermelho de que os medicamentos estdo prestes a acabar.

Veja imagem abaixo:

B & Levofloxacino 500mg (comprimido) 30-Jun-2013
£ Levofloxacing 250mg (comprimida) 31-Ago-2013
£ Moxifloxacino 400mg (comprimidao) 31-Jan-201é
£ ofloxacino 400mg (comprimidae) 31-Dez-2013
E3 & pirazinamida 500mg (comprimido) 30-Jun-2013
B & Rrifampicina 300me (comprimido ou capsula) 31-Mai-2013
£ Terizidona 250mg (capsula) 30-Set-2014
1 més, 17 dias 07-Dez-2012

8 meses, 18 dias 07-Dez-2012

6 dias 05-Dez-2012

3 meses, 13 dias 07-Dez-2012

22 dias 07-Dez-2012
1 més, 11 dias 05-Dez-2012

07-Dez-2012

*Unidade: * Octavio Mangabeira
*URL: * http://www.sitetb.org/sitetbtest/medicines/index.seam

(base de testes)

History

#1 - 12/14/2012 09:38 PM - Mauricio Dos Santos

- Status changed from New to Resolved

Ricardo,
No caso da Terizidona, a mensagem foi exibida pela seguinte légica:

estoque disponivel/cmm = quantidade de meses que o estoque atual suporta.
878/5642 = 0,15

0,15 meses *30 = gtd dias = 4 dias

Ou seja, ainda tem estoque para mais 4 dias... Porém, esses 4 dias sdo somados a data do ultimo movimento, e ndo a data de hoje.

Portanto temos estoque até o dia:
4 dias + 07/12/2012 = 11/12/2012

Como 11/12/2012 é uma data que ja passou, o sistema exibe essa mensagem. Para os outros medicamentos que possuem 6 e 22 dias nédo é

exibido pois se fizermos essa conta vai dar uma data ainda futura...

Realmente fica um pouco estranho o sistema ndo exibir tal mensagem para esses medicamenos também...

Podemos pensar em alterar duas coisas:
http://www.sitetb.org/sitetbtest/medicines/index.seam

- A regra do negécio: exibir tal mensagem ndo s6 quando a data final do estoque for uma data passada, mas também para datas anteriores a hoje +

X dias (onde x seria um parametro customizavel)
ou

- A mensagem: que pode estar mal escrita...

Tem que se levar em consideragéo que essas informacdes(data de fim do estoque, cmm) s&o todas estimativas.

#2 - 12/14/2012 09:39 PM - Mauricio Dos Santos

- Status changed from Resolved to Feedback

#3 - 01/10/2013 06:43 PM - Mauricio Dos Santos

- Assignee changed from Mauricio Dos Santos to Ricardo Memoria

#4 - 01/15/2013 03:01 PM - Mauricio Dos Santos
- Status changed from Feedback to In Progress

- Assignee changed from Ricardo Memoria to Mauricio Dos Santos

manter em hard code uma tolerancia de um més. Se a data resultado da conta descrita acima for anterior a Hoje mais um més, exibe a mensagem.

#5 - 01/18/2013 05:26 PM - Mauricio Dos Santos

- Status changed from In Progress to Resolved

#6 - 02/05/2013 09:21 PM - Mauricio Dos Santos

- Status changed from Resolved to Closed
